/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "PulseAudio", "index.html", [
    [ "Introduction", "index.html#intro_sec", null ],
    [ "Simple API", "index.html#simple_sec", null ],
    [ "Asynchronous API", "index.html#async_sec", null ],
    [ "Error Handling", "index.html#error_sec", null ],
    [ "Logging", "index.html#logging_sec", null ],
    [ "pkg-config", "index.html#pkgconfig", null ],
    [ "Simple API", "simple.html", [
      [ "Connecting", "simple.html#conn_sec", null ],
      [ "Transferring data", "simple.html#transfer_sec", null ],
      [ "Cleanup", "simple.html#cleanup_sec", null ]
    ] ],
    [ "Asynchronous API", "async.html", [
      [ "Main Loop Abstraction", "async.html#mainloop_sec", null ],
      [ "Reference Counting", "async.html#refcnt_sec", null ],
      [ "Context", "async.html#context_sec", [
        [ "Operations", "async.html#ops_subsec", null ],
        [ "Connecting", "async.html#conn_subsec", null ],
        [ "Disconnecting", "async.html#disc_subsec", null ]
      ] ],
      [ "Functions", "async.html#Functions", null ],
      [ "Main Loop", "mainloop.html", [
        [ "Iteration", "mainloop.html#iter_sec", null ],
        [ "Threads", "mainloop.html#thread_sec", null ]
      ] ],
      [ "Threaded Main Loop", "threaded_mainloop.html", [
        [ "Creation", "threaded_mainloop.html#creat_sec", null ],
        [ "Destruction", "threaded_mainloop.html#destr_sec", null ],
        [ "Locking", "threaded_mainloop.html#lock_sec", null ],
        [ "Callbacks", "threaded_mainloop.html#cb_sec", [
          [ "Basic callbacks", "threaded_mainloop.html#basic_subsec", null ],
          [ "Data callbacks", "threaded_mainloop.html#data_subsec", null ],
          [ "Asynchronous callbacks", "threaded_mainloop.html#async_subsec", null ]
        ] ]
      ] ],
      [ "GLIB Main Loop Bindings", "glib-mainloop.html", null ],
      [ "Audio Streams", "streams.html", [
        [ "Buffer Control", "streams.html#bufctl_sec", null ],
        [ "Seeking in the Playback Buffer", "streams.html#seek_modes", null ],
        [ "Latency", "streams.html#latency_sec", null ],
        [ "Overflow and underflow", "streams.html#flow_sec", null ],
        [ "Synchronizing Multiple Playback Streams", "streams.html#sync_streams", null ],
        [ "Disconnecting", "streams.html#disc_sec", null ]
      ] ],
      [ "Sample Cache", "scache.html", [
        [ "Creation", "scache.html#create_sec", null ],
        [ "Playing samples", "scache.html#play_sec", null ],
        [ "Removing samples", "scache.html#rem_sec", null ]
      ] ],
      [ "Server Query and Control", "introspect.html", [
        [ "Querying", "introspect.html#query_sec", [
          [ "Server Information", "introspect.html#server_subsec", null ],
          [ "Memory Usage", "introspect.html#memstat_subsec", null ],
          [ "Sinks and Sources", "introspect.html#sinksrc_subsec", null ],
          [ "Sink Inputs and Source Outputs", "introspect.html#siso_subsec", null ],
          [ "Samples", "introspect.html#samples_subsec", null ],
          [ "Driver Modules", "introspect.html#module_subsec", null ],
          [ "Clients", "introspect.html#client_subsec", null ]
        ] ],
        [ "Control", "introspect.html#ctrl_sec", [
          [ "Messages", "introspect.html#message_subsec", null ]
        ] ]
      ] ],
      [ "Event Subscription", "subscribe.html", null ]
    ] ],
    [ "Channel Maps", "channelmap.html", [
      [ "Overview", "channelmap.html#overv_sec", null ],
      [ "Initialisation", "channelmap.html#init_sec", null ],
      [ "Convenience Functions", "channelmap.html#conv_sec", null ]
    ] ],
    [ "Sample Format Specifications", "sample.html", [
      [ "Sample Format", "sample.html#format_sec", null ],
      [ "Sample Rates", "sample.html#rate_sec", null ],
      [ "Channels", "sample.html#chan_sec", null ],
      [ "Calculations", "sample.html#calc_sec", null ],
      [ "Convenience Functions", "sample.html#util_sec", null ]
    ] ],
    [ "Volume Control", "volume.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"def_8h.html#a7311932553b3f7962a092906576bc347acf2cd03e78f1a2de894cfde627c66990",
"gccmacro_8h.html#a990fc0ee61d22621f5e680f9e602a643",
"proplist_8h.html#a36443d6367ce4cee990192252e2a1194",
"structpa__card__info.html",
"subscribe_8h.html#a55281f798863e7b37594d347be7ad98c"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';